/*
 * General
 */

div {
    display: block;
}

html {
    font-family: Arial, Helvetica, sans-sreif;
    line-height: 1.5;
    font-size: 75%;
    min-width: 650px;
    height: 100%;
}

body {
    color: #333333;
    margin: 0px;
    padding: 0px;
    height: 100%;
}

#page {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10;
}

a {
    color: #444444;
    text-decoration: none;
    cursor: pointer;
}

a:hover {
    text-decoration: underline;
}

.weeks-select {
    font-size: 11px;
}

#page-content h1 {
    /*font-weight: bold;
    color: #000000;
    font-size: 35px;*/
    /*padding: 3px 35px;
    border: 1px solid #aaaaaa;
    font-family: Verdana;
    box-shadow: 3px 1px 5px #cccccc;
    border-radius: 30px;*/

    /*background: rgb(247,251,252); /* Old browsers */*/
    /*background: -moz-linear-gradient(top, rgba(247,251,252,1) 0%, rgba(217,237,242,1) 12%, rgba(173,217,228,1) 35%); /* FF3.6+ */*/
    /*background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(247,251,252,1)), color-stop(12%,rgba(217,237,242,1)), color-stop(35%,rgba(173,217,228,1))); /* Chrome,Safari4+ */*/
    /*background: -webkit-linear-gradient(top, rgba(247,251,252,1) 0%,rgba(217,237,242,1) 12%,rgba(173,217,228,1) 35%); /* Chrome10+,Safari5.1+ */*/
    /*background: -o-linear-gradient(top, rgba(247,251,252,1) 0%,rgba(217,237,242,1) 12%,rgba(173,217,228,1) 35%); /* Opera 11.10+ */*/
    /*background: -ms-linear-gradient(top, rgba(247,251,252,1) 0%,rgba(217,237,242,1) 12%,rgba(173,217,228,1) 35%); /* IE10+ */*/
    /*background: linear-gradient(to bottom, rgba(247,251,252,1) 0%,rgba(217,237,242,1) 12%,rgba(173,217,228,1) 35%); /* W3C */*/
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f7fbfc', endColorstr='#add9e4',GradientType=0 ); /* IE6-9 */*/
}

#page-header {
    position: absolute;
    background-color: #363636;
    height: 50px; /* force header height */
    box-shadow: 0px 0px 15px #444;
    text-align: center;
    width: 100%;
    z-index: 50;
}


#top-logo {
    font-size: 1.5em;
    display: inline-block;
    padding-top: 15px;
    padding-left: 0;
    color: white;
    font-family: 'Trebuchet MS';
    user-select: none;
}

#top-logo-final {   /* FIXME What's with the -final suffix? */
    display: inline-block;
    background-image: url("/global/img/logo.png");
    width: 155px;
    height: 50px;
}

#page-header .btn-toolbar{
    float: right;
    margin: 0;
}

#page-header .btn-toolbar .btn-group{
    margin-left: 0;
}

#page-header .btn{
    padding: 0px 6px;
}

.dropdown-menu{
    left: auto;
    right: 0;
}

#page-header span{
    margin: 0;
}

#page-header .btn-toolbar button.btn-inverse {
    border-radius: 0;
    background-image: none;
    width: 50px;
    height: 50px;
    box-shadow: none;
    border-left: solid 2px #444;
}

#page-main {
    position: absolute;
    width: 100%;
    top: 50px;
    bottom: 0;
    overflow-y: auto;
}

#page-content {
    min-width: 350px;
    /*height: 100%;
    width: 100%;*/
    padding: 20px 20px 20px 35px;
}

#page-content p {
    text-align: justify;
}

footer {
    background: url("/global/img/texture_wave_footer.png") repeat-x bottom left;
    background-color: #31353e;
    color: #737985;
    padding-top: 15px;
    padding-bottom: 68px;
    clear: both;
    text-align: center;
    width: 100%;
    font-size: 10px;
}

#pagemove {
    padding: 0px;
    z-index: 100;
    -webkit-box-shadow: inset -6px 0 6px -6px #000;
    -moz-shadow:        inset -6px 0 6px -6px #000;
    box-shadow:         inset -6px 0 6px -6px #000;

    min-width: 198px;
}

@media only screen and (max-width: 900px) {
    #page.pagemoved {
        left: 198px !important;
    }
}

#left-menu {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
}

#left-menu .menu-title { /* Side header */
    background: #333 -webkit-linear-gradient(top, #696969 0%, #474747 100%);
    box-shadow: -1px 1px 3px #202020;
    color: #AFAFAF;
    cursor: default;
    font-size: 24px;
    font-weight: bold;
    height: 49px;
    margin: 0;
    padding: 0;
    position: relative;
    text-align: center;
    text-shadow: 0 -1px 0 #292929;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    width: 100%;
    z-index: 100;
}

#left-menu .search-bar {
    text-align: left;
    padding: 0;
}

#left-menu .search-bar .search-box {
    position: absolute;
    left: 0;
    right: 0;
    padding: 10px;
    padding-right: 54px;
    margin-bottom: 0;
}

#left-menu .search-box span.add-on {
    background-color: #DBDBDB;
}

#left-menu .search-box input {
    background-color: #EEE;
    width: 100%;
    font-size: 10pt;
    -webkit-transition: background-color 0.12s;
    -moz-transition: background-color 0.12s;
    -o-transition: background-color 0.12s;
    -ms-transition: background-color 0.12s;
    transition: background-color 0.12s;
}

#left-menu .search-box input[value=""] {
    background-color: #CCC;
}

#left-menu .search-box input::-webkit-input-placeholder {
   color: #777;
}

#left-menu .search-box input:-moz-placeholder { /* Firefox 18- */
   color: #777;  
}

#left-menu .search-box input::-moz-placeholder {  /* Firefox 19+ */
   color: #777;  
}

#left-menu .search-box input:-ms-input-placeholder {  
   color: #777;  
}

#left-menu .search-box input:hover, #left-menu .search-box input:focus {
    background-color: #FFF;
}

#left-menu .search-bar a {
    font-size: 22px;
    padding: 5px 10px;
    position: absolute;
    right: 6px;
    text-decoration: none;
}

#explorer {
    position: absolute;
    top: 50px;
    bottom: 55px;
    left: 0;
    right: 0;
    margin-bottom: 0;
}

#explorer .navbar {
    background-color: #333;
    color: #999;
    height: 30px;
    text-align: center;
    text-shadow: 0 -1px 0 #111;
    margin-bottom: 0;
    overflow: hidden;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    cursor: default;
}

#explorer .navbar a {       /* Explorer 'back' link */
    color: #888;
    display: block;
    position: absolute;
    float: left;
    font-size: 0.8em;
    padding: 11px 16px 8px 6px;
}

#explorer .navbar span {    /* Explorer titles */
    display: block;
    font-weight: bold;
    margin: 0 auto;
    padding-top: 8px;
    width: 60%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

#explorer .carousel-inner, #explorer .item {
    height: 100%;
}

#explorer ul {
    position: absolute;
    top: 30px;
    bottom: 0;
    width: 100%;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    cursor: default;
}

#search-results {
    position: absolute;
    top: 50px;  /* FIXME cf #explorer this is not elegant. get this into some parent selector or sth */
    bottom: 55px;
    width: 100%;
}

#left-menu .no-results {
    color: #777;
    cursor: default;
    font-size: 1.2em;
    padding-top: 30px;
    text-align: center;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
}

#left-menu .badge {
    background-color: #393939;
    margin-left: 6px;
}

#explorer .item {
    -webkit-transition: 0.14s ease-in-out left;
       -moz-transition: 0.14s ease-in-out left;
         -o-transition: 0.14s ease-in-out left;
            transition: 0.14s ease-in-out left;
}

#explorer-sections li, 
#explorer-categories li, 
#explorer-files li {    /* Links with colored left border */
    border-left: 5px solid;
}

#explorer-sections .CDH {
    border-left-color: #dba828;
}

#explorer-sections .CDM {
    border-left-color: #990165;
}

#explorer-sections .CMS {
    border-left-color: #a09a00;
}

#explorer-sections .ENAC {
    border-left-color: #ea5e00;
}

#explorer-sections .IC {
    border-left-color: #23b7b7;
}

#explorer-sections .SB {
    border-left-color: #007ba5;
}

#explorer-sections .STI {
    border-left-color: #8972d5;
}

#explorer-sections .SV {
    border-left-color: #6fba01;
}

#explorer-categories .exercices {
    border-left-color: #E68A2E;
}

#explorer-categories .examens {
    border-left-color: #E61717;
}

#explorer-categories .cours {
    border-left-color: #E6E62E;
}

#explorer-categories .resumes {
    border-left-color: #51CC14;
}

#explorer-categories .tps {
    border-left-color: #2EC7E6;
}

#explorer-categories .projets {
    border-left-color: #1470CC;
}

#explorer-categories .autres {
    border-left-color: #A117E6;
}

#explorer-files .subtype-1 { /* Donnees */
    border-left-color: #E07E1B;
}

#explorer-files .subtype-2 { /* Donnees + Correction */
    border-left-color: #5DE01B;
}

#explorer-files .subtype-3 { /* Correction */
    border-left-color: #E0E01B;
}

#explorer p.add-file {
    font-size: 0.9em;
}

#explorer p.add-file a {
    display: inline-block;
    color: #888;
    padding: 16px;
}

#explorer p.add-file a:hover {
    color: #DDD;
}

.subtle-scroll {
    overflow: hidden;
}

.subtle-scroll:hover {
    overflow-y: auto;
}

.subtle-scroll::-webkit-scrollbar {
    width: 10px;
}

.subtle-scroll::-webkit-scrollbar-thumb {
    background-color: #666;
    border-radius: 5px;
}

.subtle-scroll::-webkit-scrollbar-thumb:hover {
    background-color: #777;
}

.subtle-scroll::-webkit-scrollbar-track {
    margin: 6px 0;
}

ul.link-list {
    list-style: none;
    margin: 0;
}

ul.link-list li {
    line-height: 20px;
}

ul.link-list li a {
    display: block;
    padding: 12px 14px;
    border-bottom: 1px dotted #404040;
    color: #BBB;
    font-size: 14px;
    font-weight: bold;
    text-shadow: 0 -1px 0 #000;
}

ul.link-list a:hover {
    text-decoration: none;
}

ul.link-list:not(.keyboard-navigable) li a:hover, 
ul.link-list li a.active {
    background-color: #2C2C2C;
}

ul.link-list i.glyphicons-icon {
    margin: -10px -5px;
}

ul.link-list i.glyphicons-icon ~ span { /* Vertical centering for spans following a glyphicon */
    padding: 5px 0;
    position: absolute;
}

ul.link-list .count {
    color: #888;
    font-size: 90%;
    font-weight: normal;
    margin-left: 6px;
}

ul.link-list .description {
    color: #777;
    font-size: 90%;
    font-weight: normal;
}

#tabbar {
    position: absolute;
    border: none;
    margin: 0;
    width: 100%;
    bottom: 0;
}

#tabbar li {
    border: none;
    margin-left: -1px;
    text-align: center;
    padding: 0;
    width: 33.33%;
}

#tabbar li a {
    background-color: #0D0D0D;
    color: #888;
    font-weight: bold;
    border: none;
    border-radius: 0;
    height: 55px;
    margin: 0;
    padding: 0;
}

#tabbar li a i {
    margin-top: 4px;
    margin-right: -12px; /* Roughly centers the icon */
}

#tabbar li.active a {
    background-color: #1C1C1C;
}

#left-menu-button {
    background-image: none;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 0;
    float: left;
    width: 50px;
    height: 50px;
    box-shadow: none;
    border-right: solid 2px #444;
    margin-right: 0px;
}

.vline {
    width: 50%;
    height: 1px;
    background-color: #444444;
    border: 0px;
}


.errors {
    background-color: #ff2c2c;
}

.warnings {
    background-color: #ff722c;
}

.successes {
    background-color: #009827;
}

.warnings .marker,
.errors .marker,
.successes .marker {
    float: left;
    font-size: 100px;
    padding-right: 50px;
    margin-top: -35px;
}

.warnings,
.errors,
.successes {
    padding: 20px;
    color: #FFFFFF;
    margin-bottom: 30px;
}

#container-error{
    background-image: url("/global/img/pirate-404.jpg");
    background-size: cover;
    width: 100%;
    height: 100%;
    position: absolute;
    margin-left: -50px;
    margin-right: -35px;
    margin-top: -20px;
    margin-bottom: -20px;
}

#container-error .alert-error{
    top: 50%;
    margin-top: -19px;
    position: absolute;
    margin-bottom: 0px;
    width: 50%;
    margin-left: 20%;
    text-align: center;
}

.select-checkbox {
    font-size: 11px;
}

.select-checkbox label {
    font-weight: bold;
}

img {
    border: 0px;
}

.right_float_action {
    margin: 0px;
    float: right;
}

.gradient_button {
    width: 250px;
    height: 45px;
    font-size: 15px;
    font-weight: bold;
    border: 3px double #cccccc;
    text-shadow: 2px 2px 0px #cccccc;

    background: rgb(242,246,248); /* Old browsers */
    background: -moz-linear-gradient(top, rgba(242,246,248,1) 30%, rgba(216,225,231,1) 50%, rgba(224,239,249,1) 83%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(30%,rgba(242,246,248,1)), color-stop(50%,rgba(216,225,231,1)), color-stop(83%,rgba(224,239,249,1))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, rgba(242,246,248,1) 30%,rgba(216,225,231,1) 50%,rgba(224,239,249,1) 83%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, rgba(242,246,248,1) 30%,rgba(216,225,231,1) 50%,rgba(224,239,249,1) 83%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top, rgba(242,246,248,1) 30%,rgba(216,225,231,1) 50%,rgba(224,239,249,1) 83%); /* IE10+ */
    background: linear-gradient(to bottom, rgba(242,246,248,1) 30%,rgba(216,225,231,1) 50%,rgba(224,239,249,1) 83%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f2f6f8', endColorstr='#e0eff9',GradientType=0 ); /* IE6-9 */
}

.gradient_button:hover {
    border: 3px double #888888;
}

.profile.left {
    float: left;
    width: 100%;
}

.profile.right {
    float: right;
    text-align: center;
}

.centered {
    clear: both;
    text-align: center;
}

.field_hint {
    color: #999999;
}

.block-links {
    color: #FFFFFF;
    font-size: 11px;
}

.avatar {
    max-width: 100px;
    max-height: 120px;
}

.floating_window {
    position: absolute;
    max-width: 550px;
    background-color: #ffffff;
    opacity: 0.95;
    border: 2px solid #777777;
    z-index: 25;
    padding: 25px 25px;
    border-radius: 5px;
}

#report {
    width: 95%;
    max-width: 450px;
    clear: both;
    display: none;
}

#report div {
    padding: 5px 10px;
}

#report label {
    font-weight: bold;
}

#report.floating_window textarea {
    width: 100%;
    height: 65px;
}

.nowrap {
    white-space: nowrap;
}

span.rating {
    font-weight: bold;
}

img.file_stars {
}

img.file_stars.mini {
    height: 8px;
}

img.user_stars {
}

img.user_stars.mini {
    height: 8px;
}

span.isa_key {
    font-size: 10px;
}

#login-modal {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    width: 380px;
    position: fixed;
    left: 50%;
    margin-left: -190px;
    text-align: left;
}
.user_cond {
    display:none;
}

#login-modal .controls{
    margin-left: 120px;
}

#login-modal .control-label{
    width: 100px;
}

#login-modal form{
    clear: both;
    margin-bottom: 0px;
    margin-top: 20px;
   
}

#login-modal .modal-body{
    overflow: visible;
}

#login-modal .modal-footer{
    background-image: url("/global/img/texture_wave_footer.png");
    background-repeat: repeat-x;
}

#login-modal .modal-footer .controls #login-submit{
    margin-right: 10px;

}

#login-modal .modal-footer .control-group{
    margin-bottom: 0px;
}

#login-modal #login-submit{
    box-shadow: 0px 0px 20px #FFF, 0px 0px 10px blue;
}

#login-modal .cornerboat{
    background-image: url("/global/img/cornerboat.png");
    width: 120px;
    height: 104px;
    position: relative;
    left: -55px;
    top: -54px;

    float: left;
    margin-bottom: -50px;
}

#login-modal .alert-error{
    width: 300px;
    margin: auto;
    margin-top: 10px;
    margin-bottom: -20px;
}

body, #login-beta{
    overflow-x: auto;
    overflow-y: auto;
}

#login-modal.fade{
    -webkit-transition: opacity .1s linear,top .1s ease-out;
    -moz-transition: opacity .1s linear,top .1s ease-out;
    -o-transition: opacity .1s linear,top .1s ease-out;
    transition: opacity .1s linear,top .1s ease-out;
}

#page-login{
    background-image: url("/global/img/The_Great_Wave_off_Kanagawa.jpg");
    background-size: cover;
    height: 100%;
    min-height: 600px;
    min-width: 1070px;
    text-align: center; 
    position: relative;
}

.login-header-img{
    position: absolute;
    background-image: url("/global/img/sticker.png");
    background-size: 100% 100%;
    width: 427px;
    height: 100px;
    margin-left: -213px;
    left: 50%;
    top: 25%;
}

#page-login #presentation{
    top: 15%;
    min-width: 800px;
    left: 50%;
    margin-left: -440px;
    position: absolute;
    text-align: center;
    font-size: 16px;
}

#page-login #presentation h1{
    margin-top: 0px;
    font-size: 60px;
}

#page-login #presentation div {
    margin-top: 20px;
    text-shadow: 0 0 0.5em #FFF, 0 0 0.3em #FFF;
}

#page-login #presentation a{
    color: #005580;
    text-decoration: underline;
    text-shadow: none;
}

#login-modal-trigger{
    box-shadow: 0 0 5px #FCC;
    width: 240px;
    height: 64px;
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 24pt;
    padding: 20px 40px;
    margin-top: -32px;
    margin-left: -120px;
}

#ribbon {
    position: relative;
}
#ribbon img {
    position: absolute;
    top: 0px;
    right: 0px;
}

#footer-beta {
    left: 50%;
    margin-left: -244px;
    width: 448px;
    white-space: nowrap;
    padding: 8px 20px;
    bottom: 0;
    position: absolute;
    font-size: 16px;
    background-color: rgba(255, 255, 255, 0.55);
    border-radius: 10px 10px 0 0;
    text-align: center;
}

#page-accueil #footer-beta {
    left: auto;
    margin: 0 auto;
    width: auto;
    position: static;
}



/*Welcome page - Beta tutorial*/

#menu-presentation{
    position: relative;
    top: -10px;
    left: -40px;
}

#page-accueil {
    padding-top: 10px;
    font-size: 15px;
}

#page-accueil h2 {
    font-size: 40px;
    margin-bottom: 20px;
    text-align: center;
}

#page-accueil h2 a {
    color: inherit !important;
    text-decoration: none !important;
}

#page-accueil h3 {
    color: #555;
    font-size: 20px;
    font-weight: normal;
    text-align: center;
}

#page-accueil p {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    max-width: 800px;
}

#page-accueil a {
    color: #005580;
}

#page-accueil #newsroll {
    border-bottom: 1px solid #c6c6c6;
    font-size: 16px;
    list-style-type: none;
    margin-left: auto;
    margin-right: auto;
    text-align: left;
    max-width: 800px;
}

#page-accueil #newsroll a {
    color: #0077A0;
}

#page-accueil #newsroll td, #page-accueil #newsroll th {
    border-top: 1px solid #c6c6c6;
}

#page-accueil #newsroll th {
    color: #888;
    font-size: 20px;
    font-weight: normal;
    width: 140px;
}

#page-accueil img {
    display: block;
    margin: 20px auto;
}

/*    -----  User Tab  -----    */
#user-id {
    background-color: #FFFFFF;
    border-radius: 10px;
    margin: 20px 10px 20px 10px;
    padding: 10px 10px;
    box-shadow: -1px 2px 10px 3px rgba(0, 0, 0, 0.3) inset;
    color: #000000;
}

#user-id .user_avatar {
    width: 60px;
}

#user-id .user_name {
    font-weight: bold;
}

#user-tab ul {
    border-top: 1px dotted #666;
}

